//
// Created by martin on 02.11.20.
//

#ifndef RBDLSIM_SIMULATOR_H
#define RBDLSIM_SIMULATOR_H

// Forward declarations for visualization
typedef struct srcmdbuf srcmdbuf;

void simulator_init();
void simulator_reset();
void simulator_update(double dt);
void simulator_step(double dt);
void simulator_draw(srcmdbuf* cmdbuf);

#endif  //RBDLSIM_SIMULATOR_H